Need to be able to have separate markup formats for bugs and wiki pages
Description

On our setup we are finding it problematic to have bugs formatted in textile (or any other markup text format) since people don't really

pay attention to formatting when entering bugs.

On the other hand, we heavily use markup for wiki pages (of course).

What we would like is to be able to separately select the markup format for bug reports and for wiki pages.  In our case, for wiki

pages it would be "reStructuredTex" (using a plugin) and for bugs it would be "none".

It would be awesome to be able to override the format on any bug text or wiki page, but in generally what I suggested above will fix

the issue in 99% of the cases.

Apologies if this is a duplicate; I did a search but nothing appeared to be a good match.

Related issues:

Is duplicate of Redmine - Feature #5112: Texting formatting setting is global... New 2010-03-18

History

#1 - 2013-10-30 19:37 - Jan Niggemann (redmine.org team member)

In our case, for wiki pages it would be "reStructuredTex" (using a plugin) and for bugs it would be "none".

 IHMO this use case only affects very few users.

and for bugs it would be "none".

 Err, why don't your users just stop using formatting?

#2 - 2013-10-30 19:50 - Peter Zion

Stopping formatting would mean never pasting source code into a bug report, or always remembering to encapsulate it with 

...

 I believe that fact that we are using reStructuredText is irrelevant since we had the same problem when using textile as the format.

#3 - 2013-10-30 19:50 - Peter Zion

That is a good example right there :-)

#4 - 2015-04-29 07:43 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

I am closing this issue as a duplicate of #5112.

#5 - 2015-04-29 07:43 - Go MAEDA

- Is duplicate of Feature #5112: Texting formatting setting is global (Allow override in module level) added
